package com.hclsoftware.sso.kerberos.controller;

import org.ietf.jgss.GSSCredential;
import org.ietf.jgss.GSSException;
import org.ietf.jgss.GSSName;
import org.ietf.jgss.Oid;

public class GSSCredentialImpl implements GSSCredential {

    @Override
    public void dispose() throws GSSException {

    }

    @Override
    public GSSName getName() throws GSSException {
        return null;
    }

    @Override
    public GSSName getName(Oid mech) throws GSSException {
        return null;
    }

    @Override
    public int getRemainingLifetime() throws GSSException {
        return 0;
    }

    @Override
    public int getRemainingInitLifetime(Oid mech) throws GSSException {
        return 0;
    }

    @Override
    public int getRemainingAcceptLifetime(Oid mech) throws GSSException {
        return 0;
    }

    @Override
    public int getUsage() throws GSSException {
        return 0;
    }

    @Override
    public int getUsage(Oid mech) throws GSSException {
        return 0;
    }

    @Override
    public Oid[] getMechs() throws GSSException {
        return new Oid[0];
    }

    @Override
    public void add(GSSName name, int initLifetime, int acceptLifetime, Oid mech, int usage) throws GSSException {

    }
}
